View Issue Details

IDProjectCategoryView StatusLast Update
0000947Far Manager 1.7xCommand Line/Executepublic2009-06-24 08:28
ReportervicAssigned ToDrKnS 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version1.75 
Target VersionFixed in Version1.75 
Summary0000947: Новое поведение Executor'а и %PATHEXT%
DescriptionFar Manager, version 1.75 RC (build 2582) x86
Отныне поиск программы в cmd и в командной строке FAR'а дает разные результаты. Пример:

Имеем две программы: \dir1\make.cmd и \dir2\make.exe
PATH=\dir1;\dir2
PATHEXT=.COM;.EXE;.BAT;.CMD;.VBS;.VBE;.JS;.JSE;.WSF;.WSH # по умолчанию
В командной строке набираем

С:\> make

FAR находит make.exe, хотя должен быть запущен make.cmd.

Я так понимаю, нужно изменить алгоритм поиска. В данном примере, допустим не искать сначала make.com по всем путям в %PATH%, затем make.exe и т.д. А перебирать варианты со всеми расширениями поочередно в каждом вхождении %PATH%
TagsNo tags attached.
Build2596

Activities

DrKnS

2009-06-22 16:33

administrator   bugnote:0003633

1.75 - 2595
2.0 - 1009

vic

2009-06-23 09:21

reporter   bugnote:0003635

Far Manager, version 1.75 (build 2595) x86
Всё по-прежнему...

vic

2009-06-23 09:31

reporter   bugnote:0003636

Интересный баг:

C:\usr>make
"C:\P.WSH" не является внутренней или внешней
командой, исполняемой программой или пакетным файлом.

C:\usr>echo %PATH%
C:\Program Files\Far;C:\Prg\Java\jdk1.6.0\jre\bin;c:\Prg\Java\jdk1.6.0\bin;C:\WINDOWS\system32;C:\WINDOWS;C:\WINDOWS\System32\Wbe;C:\prg\oracle\ora92\bin;C:\prg\oracle\Forms6_old\bin;C:\prg\oracle\Forms6\bin;c:\usr\bin;C:\Program Files\Microsoft Visual Studio .NET 2003\Common7\IDE;C:\Prg\VC7\BIN;C:\Prg\VC7\Tools;C:\Prg\VC7\Tools\bin;C:\Prg\BDS4\Bin;C:\Prg\BCB5\Bin

C:\usr>echo %PATHEXT%
.BAT;.CMD;.COM;.EXE;.VBS;.VBE;.JS;.JSE;.WSF;.WSH

C:\usr>where make
C:\Prg\VC7\bin\make.cmd
C:\Prg\BDS4\Bin\make.exe
C:\Prg\BCB5\Bin\make.exe

Теперь немного меняем PATH, добавляя C:\ в начало:

C:\usr>echo %PATH%
C:\Program Files\Far;C:\;C:\Prg\Java\jdk1.6.0\jre\bin;c:\Prg\Java\jdk1.6.0\bin;C:\WINDOWS\system32;C:\WINDOWS;C:\WINDOWS\System32\Wbem;C:\prg\oracle\ora92\bin;C:\prg\oracle\Forms6_old\bin;C:\prg\oracle\Forms6\bin;c:\usr\bin;C:\Program Files\Microsoft Visual Studio .NET 2003\Common7\IDE;C:\Prg\VC7\BIN;C:\Prg\VC7\Tools;C:\Prg\VC7\Tools\bin;C:\Prg\BDS4\Bin;C:\Prg\BCB5\Bin

Теперь всё нормально.

DrKnS

2009-06-23 09:49

administrator   bugnote:0003637

Ага, есть такое.

2596/1011.

Issue History

Date Modified Username Field Change
2009-06-22 15:19 vic New Issue
2009-06-22 15:20 DrKnS Status new => assigned
2009-06-22 15:20 DrKnS Assigned To => DrKnS
2009-06-22 16:33 DrKnS Note Added: 0003633
2009-06-22 16:33 DrKnS Status assigned => feedback
2009-06-23 09:21 vic Note Added: 0003635
2009-06-23 09:31 vic Note Added: 0003636
2009-06-23 09:49 DrKnS Note Added: 0003637
2009-06-24 05:45 vic Status feedback => resolved
2009-06-24 05:45 vic Resolution open => fixed
2009-06-24 08:28 DrKnS Build => 2596
2009-06-24 08:28 DrKnS Status resolved => closed
2009-06-24 08:28 DrKnS Fixed in Version => 1.75